
@ set CC	gcc
@ set YY	yacc
@ set PC	plain2c
@ set DEP	mdep
@ set INCLUDES	"-I${src_dir} -Isrc/h"
@ set CFLAGS	"-g -c -O2 -D_POSIX_C_SOURCE=199506L -D__EXTENSIONS__ -DMETH_TC"
@ set YFLAGS	-d

@ source	src
@ work		work

@ insert	main

@ tree

@ make sufix .c from sufix - .y
	${YY} ${YFLAGS} ${from}
 	cp y.tab.c ${to}.c
 	rm y.tab.c


@ make sufix .o from sufix - .c
	${DEP} ${INCLUDES} -i${from} -o${to}.c.ap
	${CC} ${CFLAGS} ${INCLUDES} -o ${to}.o ${from}

@ make file bin/p2c from sufix work/main .o
	${CC} -o ${to} ${from}
